Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD ObjectARX und .NET
  Position Maus Klick

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Position Maus Klick (411 mal gelesen)
yamaha
Mitglied
Konstrukteur


Sehen Sie sich das Profil von yamaha an!   Senden Sie eine Private Message an yamaha  Schreiben Sie einen Gästebucheintrag für yamaha

Beiträge: 342
Registriert: 19.05.2004

Autocad/Inventor 2017, Windows 10 64Bit

erstellt am: 03. Mai. 2018 13:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen,

unter VBA gab es das Event
AcadDocument_BeginRightClick(ByVal PickPoint As Variant)

Und den PickPoint konnte man direkt verwenden
als Position im Zeichnugnsfenster.

Wie funktioniert das unter Vb.Net ?

Vielen Dank für eure Hilfe.

------------------
Gruß Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

yamaha
Mitglied
Konstrukteur


Sehen Sie sich das Profil von yamaha an!   Senden Sie eine Private Message an yamaha  Schreiben Sie einen Gästebucheintrag für yamaha

Beiträge: 342
Registriert: 19.05.2004

Autocad/Inventor 2017, Windows 10 64Bit

erstellt am: 03. Mai. 2018 17:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

ich habe es jetzt folgendermaßen hinbekommen.

erste Idee
https://forums.autodesk.com/t5/net/pointmonitor-for-vb-net/td-p/2891662

zweite Idee
http://spiderinnet1.typepad.com/blog/2015/12/get-cursor-position-in-current-ucs-using-autocad-net-addin-wizard-acadnetaddinwizardanaw.html

und dadraus dann folgendes erstellt:

Code:
    Public Sub funcPointMonitorEventHandler(ByVal sender As Object, ByVal e As PointMonitorEventArgs)
        Dim ed As Editor = TryCast(sender, Editor)
        If ed Is Nothing Then Return
        Dim snapped As Boolean = (e.Context.History And PointHistoryBits.ObjectSnapped) = PointHistoryBits.ObjectSnapped
        Dim pt As Point3d = (If(snapped, e.Context.ObjectSnappedPoint, e.Context.ComputedPoint)).TransformBy(ed.CurrentUserCoordinateSystem.Inverse())
        dblSymbolX = pt.X
        dblSymbolY = pt.Y
    End Sub

dblSymbolX und dblSymbolY sind Public Variablen auf die ich dann
zugreife wenn ich die benötige

Um den Mausklick zu erfassen habe ich folgendes Event ergänzt

Code:
AddHandler Autodesk.AutoCAD.ApplicationServices. _
                        Application.PreTranslateMessage, AddressOf funcRightButtonMouseHandler

Das Event startet so

Code:
Public Sub funcRightButtonMouseHandler(ByVal sender As Object, ByVal e As PreTranslateMessageEventArgs)
        Const WM_RBUTTONDOWN As Integer = 516
        If e.Message.message = WM_RBUTTONDOWN Then

Ich möchte drauf hinweisen, das ist sicherlich nicht
die Lösung wie man es korrekterweise macht.
Aber bis jetzt funktioniert es.

------------------
Gruß Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

yamaha
Mitglied
Konstrukteur


Sehen Sie sich das Profil von yamaha an!   Senden Sie eine Private Message an yamaha  Schreiben Sie einen Gästebucheintrag für yamaha

Beiträge: 342
Registriert: 19.05.2004

Autocad/Inventor 2017, Windows 10 64Bit

erstellt am: 03. Mai. 2018 17:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich muss noch eine Info dazu ergänzen.
Unter dem nachfolgenden Link wird eine Methode beschrieben,
mit der man die Maus-Position auch ohne Event erhält.

Leider konnte ich diesen Code nicht von C# auf Vb.net umformatieren.

http://adndevblog.typepad.com/autocad/2013/08/get-mouse-cursor-position-without-event.html

------------------
Gruß Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz